Subject: ldap-java-api-11 search filter

From: "Steven Merrill" <[email-masked]>
Date: Thu, 21 Sep 2000 14:37:11 -0600

In draft-ietf-ldapext-ldap-c-api-04.txt section 11.6 Searching, it states:

filter       A character string as described in [13], representing the
             search filter.  The value NULL can be passed to indicate
             that the filter "(objectclass=*)" which matches all entries
             is to be used.

It might be helpful to note this behavior in sections 4.38.1 and 4.39.12 of
draft-ietf-ldapext-ldap-java-api-11.txt. (Which would make those sections
consistent with 4.38.8 of the same draft which states that (objectclass=*)
is the default filter.)

Also, in the Bibliograpy, [7] should be updated. (To draft-ietf-ldapext-ldap-c-api-04.txt)

-Steve